<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_xmldb', language 'en_ar', version '3.11'.
 *
 * @package     tool_xmldb
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['confirmcheckbigints'] = 'This functionality will search for <a href="http://tracker.moodle.org/browse/MDL-11038">potential wrong integer fields</a> in yer Moodle server, generating (but not executing!) automatically the needed SQL statements to have all the integers in yer DB properly defined.

Once generated ye can copy such statements and execute them safely with yer favourite SQL interface (don\'t forget to backup yer data before doing that).

It\'s highly recommended to be running the latest (+ version) available of yer Moodle release before executing the search of wrong integers.

This functionality doesn\'t perform any action against the DB (just reads from it), so can be safely executed at any moment.';
$string['confirmcheckdefaults'] = 'This functionality will search for inconsistent default values in yer Moodle server, generating (but not executing!) the needed SQL statements to have all the default values properly defined.

Once generated ye can copy such statements and execute them safely with yer favourite SQL interface (don\'t forget to backup yer data before doing that).

It\'s highly recommended to be running the latest (+ version) available of yer Moodle release before executing the search of inconsistent default values.

This functionality doesn\'t perform any action against the DB (just reads from it), so can be safely executed at any moment.';
$string['confirmcheckforeignkeys'] = 'This functionality will search for potential violations of the foreign keys defined in the install.xml definitions. (Moodle does not currently generate actual foreign key constraints in the database, which is why invalid data may be present.)

It\'s highly recommended to be running the latest (+ version) available of yer Moodle release before executing the search of missing indexes.

This functionality doesn\'t perform any action against the DB (just reads from it), so can be safely executed at any moment.';
$string['confirmcheckindexes'] = 'This functionality will search for potential missing indexes in yer Moodle server, generating (but not executing!) automatically the needed SQL statements to keep everything updated.

Once generated ye can copy such statements and execute them safely with yer favourite SQL interface (don\'t forget to backup yer data before doing that).

It\'s highly recommended to be running the latest (+ version) available of yer Moodle release before executing the search of missing indexes.

This functionality doesn\'t perform any action against the DB (just reads from it), so can be safely executed at any moment.';
$string['confirmcheckoraclesemantics'] = 'This functionality will search for <a href="http://tracker.moodle.org/browse/MDL-29322">Oracle varchar2 columns using BYTE semantics</a> in yer Moodle server, generating (but not executing!) automatically the needed SQL statements to have all the columns converted to use CHAR semantics instead (better for cross-db compatibility and increased contents max. length).

Once generated ye can copy such statements and execute them safely with yer favourite SQL interface (don\'t forget to backup yer data before doing that).

It\'s highly recommended to be running the latest (+ version) available of yer Moodle release before executing the search of BYTE semantics.

This functionality doesn\'t perform any action against the DB (just reads from it), so can be safely executed at any moment.';
$string['confirmdeletefield'] = 'Are ye absolutely sure that ye want to delete the field:';
$string['confirmdeleteindex'] = 'Are ye absolutely sure that ye want to delete the index:';
$string['confirmdeletekey'] = 'Are ye absolutely sure that ye want to delete the key:';
$string['confirmdeletetable'] = 'Are ye absolutely sure that ye want to delete the table:';
$string['confirmdeletexmlfile'] = 'Are ye absolutely sure that ye want to delete the file:';
$string['confirmrevertchanges'] = 'Are ye absolutely sure that ye want to revert changes performed over:';
$string['extensionrequired'] = 'Sorry - the PHP extension \'{$a}\' is required for this action. Please install the extension if ye want to use this feature.';
$string['masterprimaryuniqueordernomatch'] = 'The fields in yer foreign key must be listed in the same order as they are listed in the UNIQUE KEY on the referenced table.';
$string['mustselectonefield'] = 'Ye must select one field to see field related actions!';
$string['mustselectoneindex'] = 'Ye must select one index to see index related actions!';
$string['mustselectonekey'] = 'Ye must select one key to see key related actions!';
$string['nomasterprimaryuniquefound'] = 'The column(s) that ye foreign key references must be included in a primary or unique KEY in the referenced table. Note, the column being in a UNIQUE INDEX is not good enough.';
$string['nowrongdefaultsfound'] = 'No inconsistent default values have been found, yer DB does not need further actions.';
$string['nowrongintsfound'] = 'No wrong integers have been found, yer DB doesn\'t need further actions.';
$string['nowrongoraclesemanticsfound'] = 'No Oracle columns using BYTE semantics have been found, yer DB doesn\'t need further actions.';
$string['pendingchanges'] = 'Note: Ye have performed changes to this file. They can be saved at any moment.';
$string['pendingchangescannotbesavedreload'] = 'There are changes in this file but they cannot be saved! Please verify that both the directory and the "install.xml" within it have write permissions for the web server. Then reload this page and ye should be able to save those changes.';
$string['yesmissingindexesfound'] = 'Some missing indexes have been found in yer DB. Here are their details and the needed SQL statements to be executed with yer favourite SQL interface to create all them (don\'t forget to backup yer data before doing that).<br /><br />After doing that, it\'s highly recommended to execute this utility again to check that no more missing indexes are found.';
$string['yeswrongdefaultsfound'] = 'Some inconsistent defaults have been found in yer DB. Here are their details and the needed SQL statements to be executed with yer favourite SQL interface to fix them all (don\'t forget to backup yer data before doing that).<br /><br />After doing that, it\'s highly recommended to execute this utility again to check that no more inconsistent defaults are found.';
$string['yeswrongintsfound'] = 'Some wrong integers have been found in yer DB. Here are their details and the needed SQL statements to be executed with yer favourite SQL interface to create all them (don\'t forget to backup yer data before doing that).<br /><br />After doing that, it\'s highly recommended to execute this utility again to check that no more wrong integers are found.';
$string['yeswrongoraclesemanticsfound'] = 'Some Oracle columns using BYTE semantics have been found in yer DB. Here are their details and the needed SQL statements to be executed with yer favourite SQL interface to create all them (don\'t forget to backup yer data before doing that).<br /><br />After doing that, it\'s highly recommended to execute this utility again to check that no more wrong semantics are found.';
